.archive-product__grid {
	justify-content: center;
}

.archive-product__sidebar {
	display: none;

	@media (--m) {
		display: block;
		width: 25%;
	}
}

.archive-product__main {
	width: 100%;

	@media (--m) {
		width: 75%;
	}
}

.archive-product--sidebar-right {
	& .archive-product__sidebar {
		order: 2;
	}

	& .archive-product__main {
		order: 1;
	}
}

.archive-product--top-sidebar {
	& .archive-product__sidebar {
		width: 100%;

		@media (--s) {
			display: block;

			& .widget {
				width: 33.33%;
			}

			@media (--m) {
				display: block;

				& .widget {
					width: 25%;
				}
			}

			& .archive-product__inner {
				display: flex;
				flex-wrap: wrap;
				margin: 0 calc(-2 * var(--grid-gutter));

				& .widget {
					margin-top: unset;
					background-color: unset;
					padding: 0 calc(2 * var(--grid-gutter));
				}
			}
		}
	}

	& .archive-product__main {
		width: 100%;
		margin-top: 2em;
	}
}

.archive-product--no-sidebar {
	& .woocommerce-ordering {
		width: 50%;
		margin-top: 0;

		& select {
			width: 100%;
		}

		@media (--s) {
			width: 30%;
			text-align: right;
		}
	}

	& .page-block__filter {
		width: 50%;
		text-align: left;

		& .page-block__filter-button {
			padding: 8px 20px;
			border-radius: 0;
		}
	}

	& .archive-product__sidebar {
		@mixin fade-out;

		position: fixed;
		top: 0;
		left: 0;
		width: 100%;
		height: 100%;
		z-index: 100;
		transition: opacity 0.25s, visibility 0.25s;
		display: block;

		& .archive-product__sidebar-wrapper {
			position: absolute;
			top: 0;
			bottom: 0;
			left: 0;
			transform: translate(-100%, 0);
			max-width: calc(100% - 4rem);
			width: 300px;
			backface-visibility: hidden;
			transition: transform 0.3s ease-in-out;
			z-index: 2;
		}

		& .archive-product__inner {
			display: flex;
			flex-direction: column;
			width: 100%;
			height: 100%;
			overflow-y: auto;
			background-color: var(--white);
			padding: 30px;
		}
	}

	& .archive-product__main {
		width: 100%;
	}
}

.is-sidebar-visible {
	& .archive-product__sidebar {
		@mixin fade-in;

		& .archive-product__sidebar-wrapper {
			transform: translate(0, 0);
		}
	}

	& .archive-product__sidebar--close {
		position: absolute;
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
		background-color: rgba(0, 0, 0, 0.5);
		z-index: 1;
	}
}
